mscorlib 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Method, Inherited=false) System.Runtime.InteropServices.ComVisible(true)

Use the to manipulate the object before serialization occurs.

To use the , the method must contain a parameter. The attribute marks the method to be called by the serialization infrastructure and the provides additional data about the type of serialization taking place. The usage is shown in the following code:

code reference: System.Runtime.Serialization.OnSerialization#2

In your code, you can use the word OnSerializing instead of the longer .

When applied to a method, specifies that the method is during serialization of an object in an object graph. The order of serialization relative to other objects in the graph is non-deterministic.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.